apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: grafana
  namespace: metrics
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - grafana.prod.t01tt.tech
      secretName: grafana-tls
  rules:
    - host: grafana.prod.t01tt.tech
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: monitoring-grafana
                port:
                  number: 80
